servant-0.11: A family of combinators for defining webservices APIs

Safe Haskell | Safe
Language | Haskell2010

Servant.API.Raw

Synopsis

- data Raw

# Documentation

data Raw Source #

Endpoint for plugging in your own Wai `Application`s.

The given `Application` will get the request as received by the server, potentially with a modified (stripped) `pathInfo` if the `Application` is being routed with `:>`.

In addition to just letting you plug in your existing WAI `Application`s, this can also be used with serveDirectory to serve static files stored in a particular directory on your filesystem

Instances

HasLink * Raw Source # |
Associated Types type MkLink Raw (endpoint :: Raw) :: * Source # Methods toLink :: Proxy Raw endpoint -> Link -> MkLink Raw endpoint Source #
type MkLink * Raw Source # |
type MkLink * Raw = Link